function par_fsim = gtFsimDefaultParameters()

par_fsim.check_spot      = false;     % check for intensity in the FULL images in case no difspot can be found in database
par_fsim.omegarange      = 0.5;       % look in  +/- n degrees from predicted image position
par_fsim.MaxOmegaOffset  = 1;         % Maximum omega offset
par_fsim.bb_size         = [];        % default dimensions of ROI, read from the FULL images - if empty the zeropadded projection size will be used
par_fsim.assemble_figure = true;      % assemble the results of forward simulation into a full image saved in the grain%d_.mat file
par_fsim.display_figure  = true;      % automatically disabled when launched on OAR
par_fsim.Grayscale       = [-20 200]; % default colorlimits when visualizing diffraction spots
par_fsim.Rdist_factor    = 3;         % allow for multiple times Rdiststd in calulcation of lateral spot offset
par_fsim.bbsize_factor   = 2;         % allow for +/- times std difference in horizontal and vertical bb size
par_fsim.oversize        = 1.6;       % projections are zeropadded to twice their size before reconstruction
par_fsim.oversizeVol     = 1.2;       % reconstruction volume is zeropadded by (1.2)^3
par_fsim.use_th          = true;      % use theoretically predicted diffraction angles for new detected spots
par_fsim.verbose         = false;     % tell which search criteria has failed
par_fsim.selected        = 4;         % Spots preselected for reconstruction have flag >= 5
par_fsim.included        = 4;         % Spots included into projection stack  (can be selected manually)
par_fsim.save_grain      = true;      % flag to save grain_####.mat files

end
