function fedpars=gtFedParameters()

fedpars.grainID  = NaN;
fedpars.filename     = 'fedout.mat';    % filename for saving all FED data (gv, bl, err, fedpars...)
fedpars.real_data   = true;             % if real data, then the "right" answer is not known    

fedpars.grainvol = NaN;        % grain volume as logical (or continuous) 3D array
fedpars.grainoff = NaN(1,3);   % offset of grain volume center from sample origin (rot. axis)
fedpars.grainsize= NaN(1,3);   % grain volume size (size of grainvol)
fedpars.grainenv = NaN(1,3);   % grain envelope size (may be > grainsize)
fedpars.gvsize   = NaN(1,3);   % size of one volume element
fedpars.ngv      = NaN;        % total number of volume elements
fedpars.ngvsub   = [1 1 1];    % ? - ask Peter
fedpars.auto_gvsize = false;   % auto calculate gvsize for sensible number of elements
fedpars.max_elements_grain = NaN; % max number of elements when calculating gvsize

fedpars.loadbl   = NaN;        % list of which blobs to load
fedpars.usebl   = NaN;         % list of which blobs to use in solver
fedpars.pairedblobs = 1;       % every odd-even blob is a Friedel pair

fedpars.strategy.s1.solver = 'Flow'; % which solver to use

fedpars.detpos  = NaN(1,3);     % experiment geometry - detector center
fedpars.detdiru = NaN(1,3);     % experiment geometry - direction of u
fedpars.detdirv = NaN(1,3);     % experiment geometry - direction of v
fedpars.rotdir  = NaN(1,3);     % experiment geometry - rotation axis direction
fedpars.detucen = NaN(1,3);     % experiment geometry - center of detector in pixels, u
fedpars.detvcen = NaN(1,3);     % experiment geometry - center of detector in pixels, v
fedpars.beamdir = NaN(1,3);     % experiment geometry - beam direction

fedpars.beamprofile = NaN;      % profile of the incident beam (?)

fedpars.detscaleu = NaN;        % (reconstruction voxelsize/detector pixelsize), u direction
fedpars.detscalev = NaN;        % (reconstruction voxelsize/detector pixelsize), u direction

fedpars.beamchroma      = '';          % 'mono' or 'poly'
fedpars.beamenergymin   = NaN;         % for polychromatic beam
fedpars.beamenergymax   = NaN;         % for polychromatic beam

fedpars.blext           = NaN(1,3);    % extension of bounding box when loading blobs
fedpars.wonly           = false;       % solve using omega variations only (true/false)

fedpars.dlim         = NaN(9,1);       % assumed maximum +/- def. comps. in solution
fedpars.dindex       = NaN(1,9);       % which deformation components to solve
fedpars.sufac        = NaN(9,1);       % speed factor to calculate deformation changes
fedpars.fbbsize      = 0.1;            % factor multiplying ulim to calculate the ROI size in flow solver
fedpars.fbbminsize   = [4 4 4];        % minimum ROI size in solver
fedpars.dstepmode    = ''              % 'discr' for discrete steps (size = dsteplim) in deformation in solver
fedpars.dsteplim     = NaN             % maximum allowed step in deformation in solver
fedpars.dmeancorr    = false;          % dmean correction in solver (true/false)
fedpars.solver       = 'Flow';         % which solver to use?
fedpars.crude_acceleration = false;    % can speed up forward proj in matlab by treating only one voxel in 2x2x2, and then dilating
fedpars.T0strategy   = 'B';            % how to calculate T0 - 'A': use all U0 matrices, then set unused values ot zero / 'B' use only active U0 matrices
fedpars.dsmoothing   = true;           % smooth the calculated deformations
fedpars.niter        = NaN;            % number of iterations in solver

fedpars.centoffs_correction = false;  % this should no longer exist - leave in just in case


% STRATEGY for the iterations
%   Parameters for each stage are defined this way: 
%     fedpars.strategy.s1.solver = 'Flow'; fedpars.strategy.s1.dindex = ...
%     fedpars.strategy.s2.solver = 'LSQR'; fedpars.strategy.s2.dindex = ...
%     etc.

end