function gtDBProgressUpdate(funcname,scanname,first,last,current)
% makes a mark in the condorprogress table so you can track your condor
% jobs...
% Usage:
% Open the database BEFORE the main loop, and call gtDBProgressUpdate
% inside the loop.  The parameters to gtDBProgressUpdate are:
%  mfilename - use this always
%  acq.name  - or some string to identify the dataset
%  first, last - two integers indicating beginning and end of the
%  processing loop
%  i - the index of the current position
%
% Example:
%  gtDBConnect
%  for i=first:last
%    gtDBProgressUpdate(mfilename,acq.name,first,last,i);
%    do_some_work
%  end
%
% Monitoring progress
%   See gtDBProgressMonitor
  
  
  
if false
  % change this to true to create the table for the first time
  gtDBConnect('admin')
  mym('create table condorprogress (function varchar(60),scanname varchar(30),first int,last int, current int, ts timestamp default now())');
end

mysqlcmd=sprintf(...
  'insert into condorprogress (function,scanname,first,last,current) values ("%s","%s",%d,%d,%d)',...
  funcname,scanname,first,last,current);

mym(mysqlcmd)




end
