function detorig = gtGeoDetOrig(labgeo)
% GTGEODETORIG Calculates the detector origin.
% 
%     detorig = gtGeoDetOrig(labgeo)
%
%     -------------------------------------------------------
%     Calculates the coordinates of the detector origin (pixel 0,0) in the 
%     LAB reference.
%
%     INPUT:
%       labgeo - as in the parameters file
%
%     OUTPUT:
%       detorig = detector origin X,Y,Z coordinates (1x3)
%

detorig = labgeo.detrefpos ...
          - labgeo.detdiru * labgeo.detrefu * labgeo.pixelsizeu ...
          - labgeo.detdirv * labgeo.detrefv * labgeo.pixelsizev ;
   
             
end % of function  

