function [index, outlist]=findOnDet(inlist, ranges)
% [index, outlist]=findOnDet(inlist, ranges)
% ------------------------------------------
% inlist = column list 
% ranges = cell list, i.e. {[100 500],[1 2048]}
%
% ranges{col}(1) <= inlist(:,col) <= ranges{col}(2)

if ~exist('ranges','var') || isempty(ranges)
    ranges{1} = [1 2048];
end

if size(inlist,1) < size(inlist,2)
    inlist = inlist';
end
ndim = size(inlist,2);

for ii=1:ndim
    if length(ranges) < ndim
        ranges{ii} = [1 2048];
    end
end


inlist_bkp = inlist;



for ii=1:ndim
    ind = find(inlist(:,ii) >= ranges{ii}(1) & inlist(:,ii) <= ranges{ii}(2));
    inlist = inlist(ind,:);
end

[inlist,index,~]=findDifferentRowIntoMatrix(inlist_bkp, inlist, false);
[index,ind] = sort(index);
if nargout == 2
    outlist=inlist(ind,:);
end

end % end of function
